JavaScript
JavaScript
import
Opriven
from
'@opriven/sdk'
;
const
client
=
new
Opriven
({
apiKey:
process
.
env
[
'OPRIVEN_API_KEY'
],
// This is the default and can be omitted
});
const
artifacts
=
await
client
.
artifacts
.
list
({
id:
[
'string'
] });
console
.
log
(
artifacts
);
curl --request GET \
  --url https://bff.opriven.com/api/v2/artifacts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://bff.opriven.com/api/v2/artifacts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://bff.opriven.com/api/v2/artifacts",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://bff.opriven.com/api/v2/artifacts"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://bff.opriven.com/api/v2/artifacts")
  .header("Authorization", "Bearer <token>")
  .asString();
require 'uri'
require 'net/http'

url = URI("https://bff.opriven.com/api/v2/artifacts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
200
400
401
403
429
500
[
{
"id"
:
"<string>"
,
"provider"
:
"datadog"
,
"providerUrl"
:
"<string>"
,
"summary"
:
"<string>"
,
"createdAt"
:
"2023-11-07T05:31:56Z"
,
"updatedAt"
:
"2023-11-07T05:31:56Z"
,
"type"
:
"metric"
,
"data"
: {
"metricType"
:
"gauge"
,
"name"
:
"<string>"
,
"description"
:
"<string>"
,
"unit"
:
"<string>"
,
"dataPoints"
: [
{
"attributes"
: [
{
"key"
:
"<string>"
,
"value"
: {
"stringValue"
:
"<string>"
,
"boolValue"
:
true
,
"intValue"
:
"<string>"
,
"doubleValue"
:
123
,
"arrayValue"
: {
"values"
:
"<array>"
},
"kvlistValue"
: {
"values"
:
"<array>"
},
"bytesValue"
:
"<string>"
}
}
],
"startTimeUnixNano"
:
"<string>"
,
"timeUnixNano"
:
"<string>"
,
"asDouble"
:
123
,
"asInt"
:
"<string>"
,
"exemplars"
: [
{
"filteredAttributes"
: [
{
"key"
:
"<string>"
,
"value"
: {
"stringValue"
:
"<string>"
,
"boolValue"
:
true
,
"intValue"
:
"<string>"
,
"doubleValue"
:
123
,
"arrayValue"
: {
"values"
:
"<array>"
},
"kvlistValue"
: {
"values"
:
"<array>"
},
"bytesValue"
:
"<string>"
}
}
],
"timeUnixNano"
:
"<string>"
,
"asDouble"
:
123
,
"asInt"
:
"<string>"
,
"spanId"
:
"<string>"
,
"traceId"
:
"<string>"
}
],
"flags"
:
123
}
]
}
}
]
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
Artifacts
Retrieve artifacts by IDs
Copy page
Copy page
Fetches multiple evidential artifacts by their IDs. Supports up to 100 IDs per request.
Copy page
Copy page
GET
https://bff.opriven.com/api/v2
https://bff.dev.opriven.com/api/v2
/
artifacts
Try it
JavaScript
JavaScript
import
Opriven
from
'@opriven/sdk'
;
const
client
=
new
Opriven
({
apiKey:
process
.
env
[
'OPRIVEN_API_KEY'
],
// This is the default and can be omitted
});
const
artifacts
=
await
client
.
artifacts
.
list
({
id:
[
'string'
] });
console
.
log
(
artifacts
);
curl --request GET \
  --url https://bff.opriven.com/api/v2/artifacts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://bff.opriven.com/api/v2/artifacts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://bff.opriven.com/api/v2/artifacts",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://bff.opriven.com/api/v2/artifacts"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://bff.opriven.com/api/v2/artifacts")
  .header("Authorization", "Bearer <token>")
  .asString();
require 'uri'
require 'net/http'

url = URI("https://bff.opriven.com/api/v2/artifacts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
200
400
401
403
429
500
[
{
"id"
:
"<string>"
,
"provider"
:
"datadog"
,
"providerUrl"
:
"<string>"
,
"summary"
:
"<string>"
,
"createdAt"
:
"2023-11-07T05:31:56Z"
,
"updatedAt"
:
"2023-11-07T05:31:56Z"
,
"type"
:
"metric"
,
"data"
: {
"metricType"
:
"gauge"
,
"name"
:
"<string>"
,
"description"
:
"<string>"
,
"unit"
:
"<string>"
,
"dataPoints"
: [
{
"attributes"
: [
{
"key"
:
"<string>"
,
"value"
: {
"stringValue"
:
"<string>"
,
"boolValue"
:
true
,
"intValue"
:
"<string>"
,
"doubleValue"
:
123
,
"arrayValue"
: {
"values"
:
"<array>"
},
"kvlistValue"
: {
"values"
:
"<array>"
},
"bytesValue"
:
"<string>"
}
}
],
"startTimeUnixNano"
:
"<string>"
,
"timeUnixNano"
:
"<string>"
,
"asDouble"
:
123
,
"asInt"
:
"<string>"
,
"exemplars"
: [
{
"filteredAttributes"
: [
{
"key"
:
"<string>"
,
"value"
: {
"stringValue"
:
"<string>"
,
"boolValue"
:
true
,
"intValue"
:
"<string>"
,
"doubleValue"
:
123
,
"arrayValue"
: {
"values"
:
"<array>"
},
"kvlistValue"
: {
"values"
:
"<array>"
},
"bytesValue"
:
"<string>"
}
}
],
"timeUnixNano"
:
"<string>"
,
"asDouble"
:
123
,
"asInt"
:
"<string>"
,
"spanId"
:
"<string>"
,
"traceId"
:
"<string>"
}
],
"flags"
:
123
}
]
}
}
]
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
Authorizations
Authorization
string
header
required
API key authentication via Bearer token
Headers
Opriven-Version
string
default:
2026-03-17
The API version to use. Defaults to the latest stable version if omitted. Pin to the version string in this document's
info.version
field to opt into exactly this version's schema.
Example
:
"2026-03-17"
Query Parameters
id
string[]
required
Artifact IDs to retrieve (can be specified multiple times: ?id=foo&id=bar)
Maximum array length:
100
Example
:
"art_123"
Response
200
application/json
Option 1
Option 2
Option 3
Option 4
Option 5
Option 6
id
string
required
provider
enum<string>
required
Available options
:
datadog
,
github
,
slack
,
opriven
,
sentry
,
kubernetes
,
incident-io
,
prometheus
,
grafana-tempo
,
loki
,
gcp
,
cloudwatch
,
user
providerUrl
string | null
required
summary
string | null
required
createdAt
string<date-time>
required
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
type
enum<string>
required
Available options
:
metric
data
object
required
Option 1
Option 2
Option 3
Show
child attributes
Fetch investigation results by ID (UUID)
Ask Opriven's AI agent a question
Powered by
This documentation is built and hosted on Mintlify, a developer documentation platform